Zum Hauptinhalt springen
GET
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
Retrieve the calling extension settings for a specific app.
curl --request GET \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich

Antwort

successful operation

createdAt
string<date-time>
erforderlich

The date and time when the calling extension settings were created.

height
integer<int32>
erforderlich

The height of the calling extension interface.

isReady
boolean
erforderlich

Specifies whether the calling extension settings are ready for use.

name
string
erforderlich

The name of the calling extension.

supportsCustomObjects
boolean
erforderlich

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
erforderlich

Indicates if the calling extension supports inbound calling.

updatedAt
string<date-time>
erforderlich

The date and time when the calling extension settings were last updated.

url
string
erforderlich

The URL associated with the calling extension.

usesCallingWindow
boolean
erforderlich

Specifies if the calling extension uses a dedicated calling window.

usesRemote
boolean
erforderlich

Indicates if the calling extension uses a remote service.

width
integer<int32>
erforderlich

The width of the calling extension interface.

Last modified on April 13, 2026